
package de.ivu.elect.business.ergebnis.control;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.AbstractErgebnisDAO;
import de.ivu.elect.business.ergebnis.boundary.AbstractStimmenDAO;
import de.ivu.elect.business.ergebnis.boundary.ErgebnisDAO;
import de.ivu.elect.business.ergebnis.boundary.GewaehltDAO;
import de.ivu.elect.business.ergebnis.boundary.SitzeDAO;
import de.ivu.elect.business.ergebnis.boundary.StimmenDAO;
import de.ivu.elect.business.fremdkandidatur.boundary.AbstractFremdkandidaturDAO;
import de.ivu.elect.business.fremdkandidatur.boundary.FremdkandidaturDAO;
import de.ivu.elect.business.gebietsbaum.boundary.AbstractGebietPolygonPointDAO;
import de.ivu.elect.business.gebietsbaum.boundary.AbstractWahldurchfuehrungsgebietDAO;
import de.ivu.elect.business.gebietsbaum.boundary.GebietPolygonPointDAO;
import de.ivu.elect.business.gebietsbaum.boundary.GebietsgruppierungDAO;
import de.ivu.elect.business.gebietsbaum.boundary.WahldurchfuehrungsgebietDAO;
import de.ivu.elect.business.gruppe.boundary.AbstractGruppeDAO;
import de.ivu.elect.business.gruppe.boundary.AbstractPolitischeGruppeDAO;
import de.ivu.elect.business.gruppe.boundary.GruppeDAO;
import de.ivu.elect.business.gruppe.boundary.PolitischeGruppeDAO;
import de.ivu.elect.business.gruppeimgebiet.boundary.AbstractGruppeImGebietDAO;
import de.ivu.elect.business.gruppeimgebiet.boundary.GruppeImGebietDAO;
import de.ivu.elect.business.internet.boundary.AbstractInternetSeiteDAO;
import de.ivu.elect.business.internet.boundary.InternetSeiteDAO;
import de.ivu.elect.business.kandidatenportal.boundary.AbstractWvpWarnungDAO;
import de.ivu.elect.business.kandidatenportal.boundary.WvpWarnungDAO;
import de.ivu.elect.business.kandidatur.boundary.AbstractKandidaturDAO;
import de.ivu.elect.business.kandidatur.boundary.KandidaturDAO;
import de.ivu.elect.business.person.boundary.AbstractPersonenVerknuepfungDAO;
import de.ivu.elect.business.person.boundary.PersonenVerknuepfungDAO;
import de.ivu.elect.business.pruefung.boundary.ZulassungPrueferDAOFactory;
import de.ivu.elect.business.pruefung.boundary.ZulassungPrueferFactory;
import de.ivu.elect.business.staat.boundary.AbstractStaatenGruppeDAO;
import de.ivu.elect.business.staat.boundary.StaatenGruppeDAO;
import de.ivu.elect.business.stimmeingabe.boundary.AbstractErgebnisGueltigerEingangDAO;
import de.ivu.elect.business.stimmeingabe.boundary.AbstractErgebniseingangDAO;
import de.ivu.elect.business.stimmeingabe.boundary.AbstractStimmeingabePlausiKonfigurationDAO;
import de.ivu.elect.business.stimmeingabe.boundary.ErgebnisGueltigerEingangDAO;
import de.ivu.elect.business.stimmeingabe.boundary.ErgebniseingangDAO;
import de.ivu.elect.business.stimmeingabe.boundary.StimmeingabePlausiKonfigurationDAO;
import de.ivu.elect.business.stimmzettel.boundary.AbstractStimmzettelDAO;
import de.ivu.elect.business.stimmzettel.boundary.AbstractStimmzettelKopfdatumDAO;
import de.ivu.elect.business.stimmzettel.boundary.StimmzettelDAO;
import de.ivu.elect.business.stimmzettel.boundary.StimmzettelKopfdatumDAO;
import de.ivu.elect.business.veranstaltung.boundary.AbstractVeranstaltungDAO;
import de.ivu.elect.business.veranstaltung.boundary.VeranstaltungDAO;
import de.ivu.elect.business.wahl.boundary.AbstractWahldurchfuehrungDAO;
import de.ivu.elect.business.wahl.boundary.WahldurchfuehrungDAO;
import de.ivu.elect.business.wahl.entity.AbstractWahlParameterLoader;
import de.ivu.elect.business.wahl.entity.WahlParameterLoader;
import de.ivu.elect.business.wahlausschuss.boundary.AbstractWahlausschussEntschaedigungDAO;
import de.ivu.elect.business.wahlausschuss.boundary.AbstractWahlausschussmitgliedDAO;
import de.ivu.elect.business.wahlausschuss.boundary.WahlausschussEntschaedigungDAO;
import de.ivu.elect.business.wahlausschuss.boundary.WahlausschussmitgliedDAO;
import de.ivu.elect.business.wahlbeteiligung.boundary.AbstractWahlbeteiligungAuswertungDAO;
import de.ivu.elect.business.wahlbeteiligung.boundary.AbstractWahlbeteiligungVerlaufDAO;
import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungAuswertungDAO;
import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungVerlaufDAO;
import de.ivu.elect.business.wahlrechtspruefung.boundary.AbstractPruefkriteriumDAO;
import de.ivu.elect.business.wahlrechtspruefung.boundary.PruefkriteriumDAO;
import de.ivu.elect.business.wahlrechtspruefung.boundary.WahlrechtspruefungDAO;
import de.ivu.elect.business.wahlvorschlag.boundary.AbstractReferendumOptionDAO;
import de.ivu.elect.business.wahlvorschlag.boundary.AbstractWahlvorschlagDAO;
import de.ivu.elect.business.wahlvorschlag.boundary.ReferendumOptionDAO;
import de.ivu.elect.business.wahlvorschlag.boundary.WahlvorschlagDAO;
import de.ivu.elect.business.wahlvorschlagsperson.boundary.AbstractWahlvorschlagsPersonDAO;
import de.ivu.elect.business.wahlvorschlagsperson.boundary.WahlvorschlagsPersonDAO;

public class StimmergebnisDatenCreator extends AbstractStimmergebnisDatenCreator {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient ErgebnisDAO ergebnisDAO;

  @Inject
  private transient GruppeDAO gruppeDAO;

  @Inject
  private transient GruppeImGebietDAO gruppeImGebietDAO;

  @Inject
  private transient KandidaturDAO kandidaturDAO;

  @Inject
  private transient PersonenVerknuepfungDAO personenVerknuepfungDAO;

  @Inject
  private transient PolitischeGruppeDAO politischeGruppeDAO;

  @Inject
  private transient StaatenGruppeDAO staatenGruppeDAO;

  @Inject
  private transient GebietsgruppierungDAO gebietsgruppierungDAO;

  @Inject
  private transient StimmenDAO stimmenDAO;

  @Inject
  private transient GewaehltDAO gewaehltDAO;

  @Inject
  private transient SitzeDAO sitzeDAO;

  @Inject
  private transient WahlvorschlagsPersonDAO wahlvorschlagsPersonDAO;

  @Inject
  private transient WahlausschussmitgliedDAO wahlausschussmitgliedDAO;

  @Inject
  private transient WahlausschussEntschaedigungDAO wahlausschussEntschaedigungDAO;

  @Inject
  private transient WahldurchfuehrungDAO wahldurchfuehrungDAO;

  @Inject
  private transient WahldurchfuehrungsgebietDAO wahldurchfuehrungsgebietDAO;

  @Inject
  private transient WahlvorschlagDAO wahlvorschlagDAO;

  @Inject
  private transient ZulassungPrueferDAOFactory zulassungPrueferDAOFactory;

  @Inject
  private transient ErgebnisGueltigerEingangDAO ergebnisGueltigerEingangDAO;

  @Inject
  private transient GebietPolygonPointDAO gebietPolygonPointDAO;

  @Inject
  private transient InternetSeiteDAO internetSeiteDAO;

  @Inject
  private transient FremdkandidaturDAO fremdkandidaturDAO;

  @Inject
  private transient ErgebniseingangDAO ergebniseingangDAO;

  @Inject
  private transient ReferendumOptionDAO referendumOptionDAO;

  @Inject
  private transient WahlParameterLoader wahlParameterLoader;

  @Inject
  private transient WahlbeteiligungVerlaufDAO wahlbeteiligungVerlaufDAO;

  @Inject
  private transient WahlbeteiligungAuswertungDAO wahlbeteiligungAuswertungDAO;

  @Inject
  private transient StimmeingabePlausiKonfigurationDAO stimmeingabePlausiKonfigurationDAO;

  @Inject
  private transient VeranstaltungDAO veranstaltungDAO;

  @Inject
  private transient StimmzettelDAO stimmzettelDAO;

  @Inject
  private transient StimmzettelKopfdatumDAO stimmzettelKopfdatumDAO;

  @Inject
  private transient PruefkriteriumDAO pruefkriteriumDAO;

  @Inject
  private transient WahlrechtspruefungDAO wahlrechtspruefungDAO;

  @Inject
  private transient WvpWarnungDAO wvpWarnungDAO;

  public StimmergebnisDatenCreator() {
    super();
  }

  @Override
  protected AbstractVeranstaltungDAO getVeranstaltungDAO() {
    return veranstaltungDAO;
  }

  @Override
  protected AbstractWahlbeteiligungVerlaufDAO getWahlbeteiligungVerlaufDAO() {
    return wahlbeteiligungVerlaufDAO;
  }

  @Override
  protected AbstractWahlbeteiligungAuswertungDAO getWahlbeteiligungAuswertungDAO() {
    return wahlbeteiligungAuswertungDAO;
  }

  @Override
  protected AbstractStimmeingabePlausiKonfigurationDAO getStimmeingabePlausiKonfigurationDAO() {
    return stimmeingabePlausiKonfigurationDAO;
  }

  @Override
  protected AbstractGebietPolygonPointDAO getGebietPolygonPointDAO() {
    return gebietPolygonPointDAO;
  }

  @Override
  protected AbstractFremdkandidaturDAO getFremdkandidaturDAO() {
    return fremdkandidaturDAO;
  }

  @Override
  protected AbstractInternetSeiteDAO getInternbetSeiteDAO() {
    return internetSeiteDAO;
  }

  @Override
  protected ZulassungPrueferFactory getZulassungPrueferFactory() {
    return zulassungPrueferDAOFactory;
  }

  @Override
  protected AbstractWahlvorschlagsPersonDAO getWahlvorschlagsPersonDAO() {
    return wahlvorschlagsPersonDAO;
  }

  @Override
  protected AbstractWahlausschussmitgliedDAO getWahlausschussmitgliedDAO() {
    return wahlausschussmitgliedDAO;
  }

  @Override
  protected AbstractWahlausschussEntschaedigungDAO getWahlausschussEntschaedigungDAO() {
    return wahlausschussEntschaedigungDAO;
  }

  @Override
  protected AbstractStaatenGruppeDAO getStaatenGruppeDAO() {
    return staatenGruppeDAO;
  }

  @Override
  public GebietsgruppierungDAO getGebietsgruppierungDAO() {
    return gebietsgruppierungDAO;
  }

  @Override
  protected AbstractPersonenVerknuepfungDAO getPersonenVerknuepfungDAO() {
    return personenVerknuepfungDAO;
  }

  @Override
  protected AbstractKandidaturDAO getKandidaturDAO() {
    return kandidaturDAO;
  }

  @Override
  protected AbstractWahlvorschlagDAO getWahlvorschlagDAO() {
    return wahlvorschlagDAO;
  }

  @Override
  protected AbstractGruppeImGebietDAO getGruppeImGebietDAO() {
    return gruppeImGebietDAO;
  }

  @Override
  protected AbstractWahldurchfuehrungsgebietDAO getWahldurchfuehrungsgebietDAO() {
    return wahldurchfuehrungsgebietDAO;
  }

  @Override
  protected AbstractStimmenDAO getStimmenDAO() {
    return stimmenDAO;
  }

  @Override
  public GewaehltDAO getGewaehltDAO() {
    return gewaehltDAO;
  }

  @Override
  public SitzeDAO getSitzeDAO() {
    return sitzeDAO;
  }

  @Override
  protected AbstractWahldurchfuehrungDAO getWahldurchfuehrungDAO() {
    return wahldurchfuehrungDAO;
  }

  @Override
  protected AbstractErgebnisDAO getErgebnisDAO() {
    return ergebnisDAO;
  }

  @Override
  protected AbstractErgebniseingangDAO getErgebniseingangDAO() {
    return ergebniseingangDAO;
  }

  @Override
  protected AbstractReferendumOptionDAO getReferendumOptionDAO() {
    return referendumOptionDAO;
  }

  @Override
  protected AbstractErgebnisGueltigerEingangDAO getErgebnisGueltigerEingangDAO() {
    return ergebnisGueltigerEingangDAO;
  }

  @Override
  protected AbstractGruppeDAO getGruppeDAO() {
    return gruppeDAO;
  }

  @Override
  protected AbstractPolitischeGruppeDAO getPolitischeGruppeDAO() {
    return politischeGruppeDAO;
  }

  @Override
  protected AbstractWahlParameterLoader getWahlParameterLoader() {
    return wahlParameterLoader;
  }

  @Override
  protected AbstractStimmzettelDAO getStimmzettelDAO() {
    return stimmzettelDAO;
  }

  @Override
  protected AbstractStimmzettelKopfdatumDAO getStimmzettelKopfdatumDAO() {
    return stimmzettelKopfdatumDAO;
  }

  @Override
  protected AbstractPruefkriteriumDAO getPruefkriteriumDAO() {
    return pruefkriteriumDAO;
  }

  @Override
  protected WahlrechtspruefungDAO getWahlrechtspruefungDAO() {
    return wahlrechtspruefungDAO;
  }

  @Override
  protected AbstractWvpWarnungDAO getWvpWarnungDAO() {
    return wvpWarnungDAO;
  }
}
